"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var program = require("commander");
var signale_1 = require("signale");
var debug = require("./debugger");
program
    .command('build')
    .description('Generate the masket key and the encrypted secrets')
    .action(function () {
    require('./build');
});
program
    .command('start')
    .description('Start to developer with auto deploy and watchers')
    .action(function () {
    require('./start');
});
program
    .command('stop')
    .description('Stop all dapp-stack process, in case there is zombies')
    .action(function () {
    require('./stop');
});
program
    .command('test')
    .description('Run the contracts tests')
    .action(function () {
    require('./test');
});
program
    .command('deploy')
    .description('Deploy the contracts and the assets')
    .action(function () {
    require('./deploy');
});
program
    .command('security')
    .description('Run security check on the contracts (require docker)')
    .action(function () {
    require('./security');
});
program
    .command('clean')
    .description('Remove all DApp Stack temporary directories')
    .action(function () {
    require('./clean');
});
program
    .command('console')
    .description('Start a geth console')
    .action(function () {
    require('./console');
});
program
    .command('debug <txHash>')
    .description('Debug a transaction')
    .action(function (txHash) {
    debug
        .start(txHash)
        .then()
        .catch();
});
var signale = new signale_1.Signale({ scope: 'Scipts' });
if (process.env.COVERAGE) {
    signale.pending('Code Coverage is running and will instrument your contracts');
}
if (process.env.DAPP_ENV &&
    process.env.DAPP_ENV !== 'local' &&
    process.env.DAPP_ENV !== 'test') {
    signale.pending('Non local or test environment, be careful');
}
program.parse(process.argv);
var showHelp = program.args.length === 0;
if (showHelp) {
    program.help();
}
//# sourceMappingURL=index.js.map